#include "mainwindow.h"

#include <QApplication>
#include "Utils/LogManager.h"
#include "../WinDevice/src/Video/ScreenManager.h"
#include "../WinDevice/src/WinDeviceManager.h"


int main(int argc, char *argv[])
{
    QApplication a(argc, argv);
    qInstallMessageHandler(LogManager::CustomMessageHandler);
    WinDevice::WinDeviceManager::Init();

    ScreenManager screenManager;
    screenManager.UpdateDisplayInfo();

    qDebug("Adapter Count: %d", screenManager._displayDeviceList.size());
    for (size_t i = 0; i < screenManager._displayDeviceList.size(); i++) {
        qDebug("Adapter: %s", screenManager._displayDeviceList[i].DeviceName);
    }

    MainWindow w;
    w.show();
    return a.exec();
}


